Bug 514029 - Second video card not detected
Second video card not detected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-27 13:33 EDT by Tethys
Modified: 2011-06-27 10:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (42.24 KB, text/plain)
2009-11-11 13:17 EST, Tethys
no flags Details
Xorg.0.log (41.05 KB, text/plain)
2009-11-11 13:18 EST, Tethys
no flags Details

  None (edit)
Description Tethys 2009-07-27 13:33:36 EDT
Description of problem:
I have both a Radeon X800 GTO and a Radeon X1550 in my machine, with
three monitors attached. s-c-d only detects the X800 GTO, and so I
can only use two of the three monitors. The "Second Video Card"
dropdown in the "Dual head" tab is empty.

Version-Release number of selected component (if applicable):
system-config-display-1.1.1-1.fc10.noarch

How reproducible:
Every time

Steps to Reproduce:
1. system-config-display
2. Try to configure 3rd screen
3. Fail :-(

Additional info:

My hardware details:
http://www.smolts.org/client/show/pub_2a97004e-5c74-42f5-9952-9058b621ba90
Comment 1 Tethys 2009-09-01 09:47:04 EDT
Upgrading to F11 broke X entirely, and it no longer seems to like the
X800 doing anything other than single screen output, mirrored on both
screens.

Since this is a work machine, I needed it working ASAP, so I stuck a
new video card in. I now have a GeForce 6200 LE as the primary card
and the X800 GTO as the secondary card.

system-config-display can still find no evidence of a second card
being present in the machine.

New hardware details:
http://www.smolts.org/client/show/pub_01481070-5b51-4214-957d-cf6db6fd25b8
Comment 2 Tethys 2009-09-04 12:59:51 EDT
So the problem here is as follows. /usr/share/system-config-display/xconf.py
instantiates an XConfigDialog with the line:

	dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, rhpxl.videocard.VideoCardInfo())

However, in /usr/lib64/python2.6/site-packages/rhpxl/videocard.py,
we're explicitly throwing away information about secondary cards:

	# bit of a hack to skip secondary devices.  thanks redmond.
	if path[3] != '0':
		continue

(my pdevs at that point list all three video devices, but those
lines throw away the one associates with my second card). Given
that, I can't see how the secondard card entry in s-c-d can ever
be populated.
Comment 3 Tethys 2009-10-20 12:33:34 EDT
That seems to have been a bit of a red herring. Even with those lines
commented out, the "Second Video Card" menu is still empty. This seems
to be because xConfigDialog:hal_pci_video_card_list() is returning an
empty list.

devstrings: dbus.Array([], signature=dbus.Signature('s'))
devs: []
Comment 4 Matěj Cepl 2009-11-05 13:35:46 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Tethys 2009-11-06 06:13:38 EST
Sorry, but this is NOT a valid response. Firstly, F11 is still supported. Secondly, the F12 Live CD *doesn't work* (bug 533030, if you're interested),
so there is no way to test whether it's fixed anything. Since this is a
work machine, I rely on it heavily, and can't risk using the updates-testing
upgrade.

If this is closed as INSUFFICIENT_DATA, I will continue to reopen it until
you do something about it.
Comment 6 Matěj Cepl 2009-11-09 04:47:51 EST
OK, let me get right ... you are willing to fight with me over reopening, but you are not willing to test, whether it is still reproducible on your system. Do I understand it correctly? Please, re-read comment 4, I am afraid you misunderstood what I've written there.
Comment 7 Tethys 2009-11-09 06:12:40 EST
Please reread comment 5. I would gladly test to see if the updates fixed
the problem. However, as it's a machine that I *need* for work, I can't
do that using updates-testing in case I am left with a machine without a
working X (which FWIW happened when I upgraded to F11). As I see it, the
only other option to test would be to use the Live CD, and as I said, that
doesn't work.

What else do you suggest I do to test this?

I know you're overstretched, and don't have the resources to fix every
reported problem. But to not even look at it, and say that it'll be closed
if the reporter doesn't switch to an unstable system, because there are
numerous changes and they might happen to have fixed this one? What's the
point in called F10 and F11 supported if that's the attitude?
Comment 8 Matěj Cepl 2009-11-10 17:14:22 EST
(In reply to comment #7)
> I know you're overstretched, and don't have the resources to fix every
> reported problem. But to not even look at it, and say that it'll be closed
> if the reporter doesn't switch to an unstable system, because there are
> numerous changes and they might happen to have fixed this one? What's the
> point in called F10 and F11 supported if that's the attitude?  

I wouldn't close the bug because you wouldn't "switch to unstable system".

a) for keeping the bug alive, I would need just one line comment saying that you can see it on updated F11 (I would settle on updates, if you don't to do upgrade to updates-testing); moreover, I know pretty well, that there wasn't much churn in xorg packages, so it shouldn't make your system unstable
b) testing on LiveCD was suggested, not required, it would be very helpful for us if we know it has been fixed in Rawhide.

Given that apparently your bug hasn't been fixed yet, I will let this bug open.
Could you please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 9 Tethys 2009-11-11 13:17:34 EST
Created attachment 369072 [details]
dmesg
Comment 10 Tethys 2009-11-11 13:18:24 EST
Created attachment 369073 [details]
Xorg.0.log
Comment 11 Tethys 2009-11-11 13:20:48 EST
Thanks. Sorry if I was being a bit harsh earlier. Probably the result of
having had too many other bugs closed recently, despite them still being
problematic on an up to date F11 system.

FWIW, I don't have an xorg.conf. It seems to work fine without one, and
my attempts to manually create one to get all three monitors working have
not been successful.
Comment 12 Bug Zapper 2010-04-28 05:23:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Tethys 2010-04-28 06:22:35 EDT
Still a problem on F13-Beta
Comment 14 Bug Zapper 2011-06-02 13:53:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-27 10:18:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.